CO_epoll_gtw_t Struct Reference
socketCAN » Epoll interface

Object for gateway. More...

`#include <CO_epoll_interface.h>`

## Data Fields

int | epoll_fd
| Epoll file descriptor, from CO_epoll_createGtw()
int32_t | commandInterface
| Command interface type or tcp port number, see CO_commandInterface_t.
uint32_t | socketTimeout_us
| Socket timeout in microseconds.
uint32_t | socketTimeoutTmr_us
| Socket timeout timer in microseconds.
char * | localSocketPath
| Path in case of local socket.
int | gtwa_fdSocket
| Gateway socket file descriptor.
int | gtwa_fd
| Gateway io stream file descriptor.
bool_t | freshCommand
| Indication of fresh command.

## Detailed Description

Object for gateway.

The documentation for this struct was generated from the following file:

- socketCAN/CO_epoll_interface.h